Skip to content
Start here

Upload a new version of a multi-column dataset

zero_trust.dlp.datasets.versions.entries.create(strentry_id, objectdataset_version_entry, EntryCreateParams**kwargs) -> EntryCreateResponse
POST/accounts/{account_id}/dlp/datasets/{dataset_id}/versions/{version}/entries/{entry_id}

This is used for multi-column EDMv2 datasets. The EDMv2 format can only be created in the Cloudflare dashboard.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
account_id: str
dataset_id: str
formatuuid
version: int
formatint64
entry_id: str
formatuuid
dataset_version_entry: FileContent
ReturnsExpand Collapse
class EntryCreateResponse:
entry_id: str
formatuuid
header_name: str
num_cells: int
formatint64
upload_status: Literal["empty", "uploading", "pending", 3 more]
One of the following:
"empty"
"uploading"
"pending"
"processing"
"failed"
"complete"

Upload a new version of a multi-column dataset

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
entry = client.zero_trust.dlp.datasets.versions.entries.create(
    entry_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    dataset_version_entry=b"Example data",
    account_id="account_id",
    dataset_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    version=0,
)
print(entry.entry_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "entry_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "header_name": "header_name",
    "num_cells": 0,
    "upload_status": "empty"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "entry_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "header_name": "header_name",
    "num_cells": 0,
    "upload_status": "empty"
  }
}